Loading...
Searching...
No Matches
osmo_v110_ta_cfg Struct Reference

Configuration for a V.110 TA instance. More...

`#include <v110_ta.h>`

## Data Fields

unsigned int | flags
| Configuration flags (behavior switches and quirks).
enum osmo_v100_sync_ra1_rate | rate
| Synchronous user rate.
struct { |
enum osmo_v110_local_flow_ctrl_mode local |
| Local TA-TE (DTE-DCE) flow control mode. More...
bool end_to_end |
| End-to-end (TA-to-TA) flow control state. More...
} | flow_ctrl
| Flow control configuration.
void * | priv
| Opaque application-private data; passed to call-backs.
void(* | rx_cb )(void *priv, const ubit_t *buf, size_t buf_size)
| Receive call-back of the application.
void(* | tx_cb )(void *priv, ubit_t *buf, size_t buf_size)
| Transmit call-back of the application.
void(* | status_update_cb )(void *priv, unsigned int status)
| Modem status line update call-back (optional).

## Detailed Description

Configuration for a V.110 TA instance.

## Field Documentation

## end_to_end

bool osmo_v110_ta_cfg::end_to_end

End-to-end (TA-to-TA) flow control state.

Referenced by v110_ta_fsm_data_transfer_onenter().

## flags

unsigned int osmo_v110_ta_cfg::flags

Configuration flags (behavior switches and quirks).

## [struct]

struct { ... } osmo_v110_ta_cfg::flow_ctrl

Flow control configuration.

Referenced by osmo_v110_ta_alloc(), and v110_ta_fsm_data_transfer_onenter().

## local

enum osmo_v110_local_flow_ctrl_mode osmo_v110_ta_cfg::local

Local TA-TE (DTE-DCE) flow control mode.

Referenced by osmo_v110_ta_alloc().

## priv

void* osmo_v110_ta_cfg::priv

Opaque application-private data; passed to call-backs.

Referenced by v110_ta_build_frame(), v110_ta_flags_update(), and v110_ta_handle_frame().

## rate

enum osmo_v100_sync_ra1_rate osmo_v110_ta_cfg::rate

Synchronous user rate.

Referenced by v110_ta_build_frame(), and v110_ta_handle_frame().

## rx_cb

void(* osmo_v110_ta_cfg::rx_cb) (void *priv, const ubit_t *buf, size_t buf_size)

Receive call-back of the application.

Parameters

  [in] | priv | opaque application-private data.
  [in] | buf | output buffer for writing to be transmitted data.
  [in] | buf_size | size of the output buffer.

Referenced by osmo_v110_ta_alloc(), and v110_ta_handle_frame().

## status_update_cb

void(* osmo_v110_ta_cfg::status_update_cb) (void *priv, unsigned int status)

Modem status line update call-back (optional).

Parameters

  [in] | priv | opaque application-private data.
  [in] | status | updated status; bit-mask of OSMO_V110_TA_C_*.

Referenced by v110_ta_flags_update().

## tx_cb

void(* osmo_v110_ta_cfg::tx_cb) (void *priv, ubit_t *buf, size_t buf_size)

Transmit call-back of the application.

Parameters

  [in] | priv | opaque application-private data.
  [out] | buf | output buffer for writing to be transmitted data.
  [in] | buf_size | size of the output buffer.

Referenced by osmo_v110_ta_alloc(), and v110_ta_build_frame().

The documentation for this struct was generated from the following file:

- include/osmocom/isdn/v110_ta.h